summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2018-07-30 10:18:23 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2018-07-30 10:18:37 +0200
commite337c113ae82a1f7abcc2a2ac8560942c76f2b21 (patch)
tree1681a6199dbf686d4b392e9ff4a5d64c194132ac /net-misc/x2goserver
parentdev-python/gst-python: fix fresh install tests (diff)
downloadgentoo-e337c113ae82a1f7abcc2a2ac8560942c76f2b21.tar.gz
gentoo-e337c113ae82a1f7abcc2a2ac8560942c76f2b21.tar.bz2
gentoo-e337c113ae82a1f7abcc2a2ac8560942c76f2b21.zip
net-misc/x2goserver: 4.1.0.1 bump
Package-Manager: Portage-2.3.44, Repoman-2.3.10
Diffstat (limited to 'net-misc/x2goserver')
-rw-r--r--net-misc/x2goserver/Manifest1
-rw-r--r--net-misc/x2goserver/x2goserver-4.1.0.1.ebuild109
2 files changed, 110 insertions, 0 deletions
diff --git a/net-misc/x2goserver/Manifest b/net-misc/x2goserver/Manifest
index d3abe003cfd..65a44d6215c 100644
--- a/net-misc/x2goserver/Manifest
+++ b/net-misc/x2goserver/Manifest
@@ -1,2 +1,3 @@
DIST x2goserver-4.0.1.22.tar.gz 101286 BLAKE2B 238da88d333b6bcb31b37b7d5e44d223ad975388fdee0cfb1ba21c58d5ab9a42961c7fcd55e474affd29197bc92fcbddf8c679eab8052387996b983a9e0244ba SHA512 ba726663f4fdedaa13cd1496a693cc9b0d7c1a815563ef8abdfe9e53b69c83379d0ed6c5569e6e7d77ac792a18a4dfed8c9b12c0a356664a66fe3be917fb7a67
DIST x2goserver-4.1.0.0.tar.gz 132386 BLAKE2B b24b29f2eebaec04061690b51cf00f65de256ce2f68b57909909fe88a08466a1f802ead00ad9cf62a5327c2b7bc6690feb7c26b8b5b711757e88a553586fbe1a SHA512 3f48dced332729d726bffa991a7a203035fc6580dd2e094561f52b327e7c2e48b807daf68219132fbec29b5abcb865021361a35654792e58da1f2e4715ea95d0
+DIST x2goserver-4.1.0.1.tar.gz 137553 BLAKE2B a7ece36332a8aa583491103e23e37fefb3ec13d8e73cb43382d7e3cfcd3b1bd32706356a45091f34335a07cc5b1bc549a5d275e1ee207b740a0c61248da74be1 SHA512 cd201cef75585d1c918d481710ca03608cadff9c5adba073e48750b5c9dcefe70f1d7ae0d77aa619e2bb3fffa644f8da261bc486e0dced4094d179888ddc9964
diff --git a/net-misc/x2goserver/x2goserver-4.1.0.1.ebuild b/net-misc/x2goserver/x2goserver-4.1.0.1.ebuild
new file mode 100644
index 00000000000..36e6bdd7c3d
--- /dev/null
+++ b/net-misc/x2goserver/x2goserver-4.1.0.1.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib systemd toolchain-funcs user xdg-utils
+
+DESCRIPTION="The X2Go server"
+HOMEPAGE="http://www.x2go.org"
+SRC_URI="http://code.x2go.org/releases/source/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+fuse postgres +sqlite"
+
+REQUIRED_USE="|| ( postgres sqlite )"
+
+DEPEND="virtual/perl-ExtUtils-MakeMaker"
+RDEPEND="dev-perl/Capture-Tiny
+ dev-perl/Config-Simple
+ dev-perl/File-BaseDir
+ dev-perl/File-ReadBackwards
+ dev-perl/File-Which
+ dev-perl/Switch
+ dev-perl/Try-Tiny
+ media-fonts/font-cursor-misc
+ media-fonts/font-misc-misc[nls]
+ >=net-misc/nx-3.5.99.14
+ net-misc/openssh
+ >=sys-apps/iproute2-4.3.0
+ x11-apps/xauth
+ x11-apps/xhost
+ x11-apps/xwininfo
+ fuse? ( net-fs/sshfs )
+ postgres? ( dev-perl/DBD-Pg )
+ sqlite? ( dev-perl/DBD-SQLite )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.1.0.0-Xresources.patch
+ "${FILESDIR}"/${PN}-4.1.0.0-skip_man2html.patch
+ )
+
+pkg_setup() {
+ # Force the group creation, #479650
+ enewgroup x2gouser
+ enewgroup x2goprint
+ enewuser x2gouser -1 -1 /var/lib/x2go x2gouser
+ enewuser x2goprint -1 -1 /var/spool/x2goprint x2goprint
+}
+
+src_prepare() {
+ default
+ # Multilib clean
+ sed -e "s#/lib/#/$(get_libdir)/#" -i x2goserver/bin/x2gopath || die
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ LIBDIR="/usr/$(get_libdir)/x2go" \
+ PREFIX=/usr
+}
+
+src_install() {
+ emake \
+ DESTDIR="${D}" \
+ LIBDIR="/usr/$(get_libdir)/x2go" \
+ NXLIBDIR="/usr/$(get_libdir)/nx" \
+ PREFIX=/usr \
+ install
+
+ fowners root:x2goprint /usr/bin/x2goprint
+ fperms 2755 /usr/bin/x2goprint
+ fperms 0750 /etc/sudoers.d
+ fperms 0440 /etc/sudoers.d/x2goserver
+ dosym ../../usr/share/applications /etc/x2go/applications
+
+ newinitd "${FILESDIR}"/${PN}.init x2gocleansessions
+ systemd_dounit "${FILESDIR}"/x2gocleansessions.service
+}
+
+pkg_postinst() {
+ if use sqlite ; then
+ if [[ -f "${EROOT}"/var/lib/x2go/x2go_sessions ]] ; then
+ elog "To use sqlite and update your existing database, run:"
+ elog " # x2godbadmin --updatedb"
+ else
+ elog "To use sqlite and create the initial database, run:"
+ elog " # x2godbadmin --createdb"
+ fi
+
+ fi
+ if use postgres ; then
+ elog "To use a PostgreSQL database, more information is availabe here:"
+ elog "http://www.x2go.org/doku.php/wiki:advanced:multi-node:x2goserver-pgsql"
+ fi
+
+ elog "For password authentication, you need to enable PasswordAuthentication"
+ elog "in /etc/ssh/sshd_config (disabled by default in Gentoo)"
+ elog "An init script was installed for x2gocleansessions"
+
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}